#ifndef XMATERIALINFO_H
#define XMATERIALINFO_H

#include "xasset.h"
#include "xgfxdrawsurf.h"

#include <QString>

class XMaterialInfo : public XAsset
{
public:
    explicit XMaterialInfo();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    QString mName;
    quint8 mGameFlags;
    quint8 mSortKey;
    quint8 mTextureAtlasRowCount;
    quint8 mTextureAtlasColumnCount;
    XGfxDrawSurf mDrawSurf;
    unsigned int mSurfaceTypeBits;
};

#endif // XMATERIALINFO_H








